Bug 78358 - I18N - pasting multibyte into diagram does not show correct multibyte
I18N - pasting multibyte into diagram does not show correct multibyte
Status: NEW
Product: uml
Classification: Unclassified
Component: General Diagram
5.x
Sun All
: P2 with 1 vote (vote)
: 6.x
Assigned To: issues@uml
issues@uml
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 22:20 UTC by Ken Frank
Modified: 2008-06-27 18:42 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
image (5.80 KB, image/gif)
2006-06-19 22:20 UTC, Ken Frank
Details
image (16.18 KB, image/gif)
2006-06-19 22:21 UTC, Ken Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2006-06-19 22:20:03 UTC
create a diagram and element and click in the element box title on drawing area
to change the text

paste some multibyte copied from a terminal (am on solaris ) but it pastes
just one box, not the correct mbyte - see the first gif
(and in element properties shows as some \uffff type of notation.

if you paste into the title properties of the element, the mbyte shows ok in the
element
on the drawing area and in the title properties - see second gif (the 2 boxes in
element
title properties is from the first paste into the element.
Comment 1 Ken Frank 2006-06-19 22:20:37 UTC
Created attachment 31178 [details]
image
Comment 2 Ken Frank 2006-06-19 22:21:10 UTC
Created attachment 31180 [details]
image
Comment 3 Ken Frank 2006-08-29 03:01:58 UTC
This seems like a very important kind of functionality - to be able
to use these areas of diagram to add or change names of or attributes
or operations - a basic functionality - that is, if this happened in
english locale, wouldn't it be fixed for entpack for sure ? if so, why not for
users who input multibyte ?

ken.frank@sun.com
Comment 4 George Vasick 2007-06-28 21:42:32 UTC
Targeted in the drawing area redesign.
Comment 5 George Vasick 2007-07-04 00:43:50 UTC
REstoring the original priority and using the NB 6.0 waiver process.
Comment 6 George Vasick 2008-01-02 16:53:58 UTC
Diagram area bugs waived for 6.0 will also be waived for 6.1.
Comment 7 Peter Lam 2008-05-23 22:33:18 UTC
I'm able to paste multibyte chinese characters properly in NB 6.5 builds. I'm on Windows Vista though.
Comment 8 George Vasick 2008-06-06 00:39:31 UTC
I18N support is targeted for 6.5M2.
Comment 9 Trey Spiva 2008-06-26 22:50:48 UTC
From peters comments, does this mean that the issue is can no longer be reproduced?
Comment 10 Ken Frank 2008-06-26 23:27:39 UTC
development team , please confirm via unit testing first that it works
ok now,  then resolve it if so, then it will undergo verification as usual.

ken.frank@sun.com
Comment 11 Trey Spiva 2008-06-27 14:51:35 UTC
What are the unit test that you want run?
Comment 12 Ken Frank 2008-06-27 15:32:11 UTC
as to unit test, I'm don't know details of what each team does in this regard,
what I meant was to do whatever developers do when an issue has been fixed
or investigated that its not an issue anymore due to some new coding or implementation;
then issues are put in resolved state if ok, then qe can verify.
from my experience working with other uml developers and issues, this has happened in
past about other issues.

ken.frank@sun.com
Comment 13 Ken Frank 2008-06-27 15:41:23 UTC
as to unit test, I'm don't know details of what each team does in this regard,
what I meant was to do whatever developers do when an issue has been fixed
or investigated that its not an issue anymore due to some new coding or implementation;
then issues are put in resolved state if ok, then qe can verify.
from my experience working with other uml developers and issues, this has happened in
past about other issues.

ken.frank@sun.com


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo